//
//  SpriteShader.vsh
//  Shatter
//
//  Created by Eric Karl on 1/21/11.
//  Copyright 2011 Eric Karl. All rights reserved.
//

attribute vec4 vs_position;
attribute vec4 vs_color;
attribute vec2 vs_texcoord;
attribute float vs_depth_1;

varying lowp vec4 ps_color;
varying highp vec2 ps_texcoord;

uniform mat3 vs_matrix;
uniform float vs_depth;

void main()
{
	gl_Position = vs_position;
  gl_Position.z = 1.0;
  gl_Position.w = 1.0;
  gl_Position.xyz = vs_matrix * gl_Position.xyz;
  gl_Position.z = vs_depth_1;
  ps_color = vs_color;
  ps_texcoord = vs_texcoord * 0.001953;
  
}
