//
//  SpriteShader.vsh
//  Shatter
//
//  Created by Eric Karl on 1/21/11.
//  Copyright 2011 Eric Karl. All rights reserved.
//

attribute vec4 vs_position;
attribute vec4 vs_color;
attribute float vs_depth_1;

varying lowp vec4 ps_color;

uniform mat3 vs_matrix;

void main()
{
	gl_Position = vs_position;
  gl_Position.z = 1.0;
  gl_Position.w = 1.0;
  gl_Position.xyz = vs_matrix * gl_Position.xyz;
  gl_Position.z = vs_depth_1;
  ps_color = vs_color;
  
}
